Bug 181671 - [NEW PORT] devel/pear-SebastianBergmann_Git: Simple wrapper for Git
Summary: [NEW PORT] devel/pear-SebastianBergmann_Git: Simple wrapper for Git
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-30 05:10 UTC by Gasol Wu
Modified: 2013-11-17 08:40 UTC (History)
0 users

See Also:


Attachments
.shar (1.88 KB, text/plain)
2013-08-30 05:10 UTC, Gasol Wu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2013-08-30 05:10:00 UTC
Simple wrapper for Git

WWW: https://github.com/sebastianbergmann/git

Generated with FreeBSD Port Tools 0.99_8 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2013-08-30 05:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:11:34 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 Antoine Brodin freebsd_committer 2013-11-16 16:20:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

Take
Comment 4 dfilter service freebsd_committer 2013-11-17 08:30:31 UTC
Author: antoine
Date: Sun Nov 17 08:30:23 2013
New Revision: 334061
URL: http://svnweb.freebsd.org/changeset/ports/334061

Log:
  New port: devel/pear-SebastianBergmann_Git
  Simple wrapper for Git
  WWW: https://github.com/sebastianbergmann/git
  
  PR:		ports/181671
  Submitted by:	Gasol Wu

Added:
  head/devel/pear-SebastianBergmann_Git/
  head/devel/pear-SebastianBergmann_Git/Makefile   (contents, props changed)
  head/devel/pear-SebastianBergmann_Git/distinfo   (contents, props changed)
  head/devel/pear-SebastianBergmann_Git/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sun Nov 17 08:26:25 2013	(r334060)
+++ head/devel/Makefile	Sun Nov 17 08:30:23 2013	(r334061)
@@ -3204,6 +3204,7 @@
     SUBDIR += pear-PhpDocumentor
     SUBDIR += pear-Pirum
     SUBDIR += pear-SebastianBergmann_FinderFacade
+    SUBDIR += pear-SebastianBergmann_Git
     SUBDIR += pear-SebastianBergmann_PHPCPD
     SUBDIR += pear-SebastianBergmann_PHPLOC
     SUBDIR += pear-SebastianBergmann_Version

Added: head/devel/pear-SebastianBergmann_Git/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-SebastianBergmann_Git/Makefile	Sun Nov 17 08:30:23 2013	(r334061)
@@ -0,0 +1,27 @@
+# Created by: Gasol Wu <gasol.wu@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	Git
+PORTVERSION=	1.2.0
+CATEGORIES=	devel pear
+MASTER_SITES=	http://pear.phpunit.de/get/
+PKGNAMEPREFIX=	pear-SebastianBergmann_
+
+MAINTAINER=	gasol.wu@gmail.com
+COMMENT=	Simple wrapper for Git
+
+LICENSE=	BSD
+
+BUILD_DEPENDS=	pear>=1.9.4:${PORTSDIR}/devel/pear \
+		${PEARDIR}/.channels/pear.phpunit.de.reg:${PORTSDIR}/devel/pear-channel-phpunit
+RUN_DEPENDS=	pear>=1.9.4:${PORTSDIR}/devel/pear \
+		${PEARDIR}/.channels/pear.phpunit.de.reg:${PORTSDIR}/devel/pear-channel-phpunit
+
+PEAR_CHANNEL=	phpunit
+PEAR_AUTOINSTALL=	yes
+
+IGNORE_WITH_PHP=52
+
+.include <bsd.port.pre.mk>
+.include "${PORTSDIR}/devel/pear/bsd.pear.mk"
+.include <bsd.port.post.mk>

Added: head/devel/pear-SebastianBergmann_Git/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-SebastianBergmann_Git/distinfo	Sun Nov 17 08:30:23 2013	(r334061)
@@ -0,0 +1,2 @@
+SHA256 (PEAR/Git-1.2.0.tgz) = b51bd62acc23df45bc49fc97e636317ad92054dd4b8e81e7062233ecb3ce6a62
+SIZE (PEAR/Git-1.2.0.tgz) = 3418

Added: head/devel/pear-SebastianBergmann_Git/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-SebastianBergmann_Git/pkg-descr	Sun Nov 17 08:30:23 2013	(r334061)
@@ -0,0 +1,3 @@
+Simple wrapper for Git
+
+WWW: https://github.com/sebastianbergmann/git
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Antoine Brodin freebsd_committer 2013-11-17 08:33:00 UTC
State Changed
From-To: open->closed

New port added, thanks!